Restore folder
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders/{id}/restore \
--header 'api_access_token: <api-key>'const options = {method: 'POST', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders/{id}/restore"
headers = {"api_access_token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"parent_id": 123,
"system_key": "<string>",
"section": "<string>",
"managed": true,
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Document Folders
Restore folder
Restore an archived document folder.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
document_folders
/
{id}
/
restore
Restore folder
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders/{id}/restore \
--header 'api_access_token: <api-key>'const options = {method: 'POST', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders/{id}/restore"
headers = {"api_access_token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"parent_id": 123,
"system_key": "<string>",
"section": "<string>",
"managed": true,
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the folder
The numeric ID of the account
Response
Success
Was this page helpful?